﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Negoci;
using Terminal.ServiceReference1;
using NegociEntitats;


namespace Terminal
{
    public partial class frm3SociHelp : Form
    {
        private ServiceReference1.Service1Client clientWCF = new ServiceReference1.Service1Client(); // Instancia del servei WCF
        //private simulawcfCN clientWCF = new simulawcfCN(); // simula WCF
        
        private List<socisEntity> ListRegs;
        public int id_soci = 0;   

        public frm3SociHelp()
        {
            InitializeComponent();

        }

        private void btnSortir_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        //Cargar formulari...
        private void frm3SociHelp_Load(object sender, EventArgs e)
        {
            //carregar el grid...
            carregarGrid();
        }


        //****************************************************************************************
        private void btnSeleccionar_Click(object sender, EventArgs e)
        {
            //Comprovem si hi ha quelcom a la llista...
            if (gridRegistres.RowCount != 0)
            {
                //recuperem la linea sel.lecionada
                DataGridViewRow row = this.gridRegistres.CurrentRow;
                string id_socix = "";
                id_socix = row.Cells[0].Value.ToString();
                this.id_soci = Convert.ToInt32(id_socix);
            }
            this.Dispose();

        }


        //****************************************************************************************
        // Carrega la llista al datagridView .....
        private void carregarGrid()
        {
            Boolean llistaBuida = false;

            //Recupera la llista de registres..
            ListRegs = clientWCF.llistarSocis(1, "").ToList();

            //Passem la Llista a una Table temporal
            gridRegistres.DataSource = null;
            gridRegistres.Rows.Clear();
            gridRegistres.ClearSelection();


            if (ListRegs == null) llistaBuida = true;
            if (ListRegs.Count == 0) llistaBuida = true;
            if (llistaBuida)
            {
                DialogResult nada = MessageBox.Show("No hi han Registres", "Socis", MessageBoxButtons.OK, MessageBoxIcon.Information);
                return;
            }

            //Passar la llista de registres obtinguda al grid...
            for (int i = 0; i < ListRegs.Count(); i++)
            {
                gridRegistres.Rows.Add();
                gridRegistres.Rows[i].Cells[0].Value = ListRegs.ElementAt(i).id_soci;
                gridRegistres.Rows[i].Cells[1].Value = ListRegs.ElementAt(i).cognoms + ", " + ListRegs.ElementAt(i).nom;
            }

            gridRegistres.Refresh();

        }

        //****************************************************************************************
        private void gridRegistres_DoubleClick(object sender, EventArgs e)
        {
            btnSeleccionar_Click(sender, e);
        }



    } //fi classe
} //fi namepace
