﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Terminal
{

    //Classe que utilitza el patró singleton per simular paràmetres globals, 
    // actius a tots els formularis
    public class gblParametres
    {
        private static gblParametres parametres;

        private gblParametres()
        {
        }

        public static gblParametres Instance()
        {
            if (parametres == null)
            {
                parametres = new gblParametres();
            }
            return parametres;
        }

        //Usuari actiu
        public String usuariLogin { get; set; }
        public int usuariRol { get; set; }

        //Windows actives
        //   0=no activa
        //   1=activa
        public int frm2DocumentVer { get; set; }
        public int frm3SociVer { get; set; }
        public int frm4Prestec { get; set; }
        public int frm4PrestecVer { get; set; }
        public int frm5Configuracio { get; set; }
        public int frm5MateriaVer { get; set; }
        public int frm5TemaVer { get; set; }
        public int frm5FormatVer { get; set; }
        public int frm5IdiomaVer { get; set; }
        public int frm5TipusSociVer { get; set; }
        public int frm9Ajuda { get; set; }


    }//fi classe
}//fi namespace
