﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using Website.ServiceReference1;



namespace Website.Account
{
    public partial class Login : System.Web.UI.Page
    {

        ServiceReference1.Service1Client clientWCF = new ServiceReference1.Service1Client(); // Instancia del servei WCF
        private socisEntity sociAct;
        private String url;

        //***********************************************************************************************
        protected void Page_Load(object sender, EventArgs e)
        {
            //RegisterHyperLink.NavigateUrl = "Register.aspx?ReturnUrl=" + HttpUtility.UrlEncode(Request.QueryString["ReturnUrl"]);

            UserName.Focus();

            //1ª càrrega de la pàgina...
            if (!Page.IsPostBack)
            {
                sociAct = (socisEntity)Session["Usuari"];
                url = (String)Session["url"];

            }
            else
            {   //2nes càrreges de la pàgina
                sociAct = (socisEntity)Session["Usuari"];
                url = (String)Session["url"];
            }
        }

        //***********************************************************************************************
        protected void Page_UnLoad(object sender, EventArgs e)
        {
            Session["Usuari"] = sociAct;
        }

        //***********************************************************************************************
        protected void LoginButton_Click(object sender, EventArgs e)
        {

            FailureText.Text = "";
            int id_soci = 0;
            //validem el soci (numsoci o email i la contrassenya)
            //Si existeix ens retorna el id_soci, sino, retorna 0
            id_soci = clientWCF.validarLoginSoci(UserName.Text, Password.Text);

            if (id_soci != 0)
            {
                //usuari validat
                sociAct = clientWCF.buscarSoci(id_soci);

                Session["Usuari"] = sociAct;
                //sociAct = (socisEntity)Session["Usuari"];
                if (url != null && url == "~/Reservas.aspx")
                {//si venim de reserves hem de tornar a reserves
                    Response.Redirect("~/Reservas.aspx");
                }
                else
                {
                    FailureText.Text = "Bienvenido";
                    Response.Redirect("~/EspaiPersonal.aspx");//actualitzem la pàgina
                }


            }
            else
            {
                //usuari no validat
                FailureText.Text = "Número de soci o Contrasenya Incorrectes";
            }
        }




    }//fi classe
}//fi namespace
