﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Website.ServiceReference1;

namespace Website
{
    public partial class ModificarContrasenya : System.Web.UI.Page
    {
        ServiceReference1.Service1Client clientWCF = new ServiceReference1.Service1Client(); // Instancia del servei WCF
        private socisEntity sociAct;

        protected void Page_Load(object sender, EventArgs e)
        {
            sociAct = (socisEntity)Session["Usuari"];

        }

        //***************************************************************************************
        protected void Button1_Click(object sender, EventArgs e)
        {
            if (sociAct.contrasenya != CurrentPassword.Text)
            {
                FailureText.Text = "Contrasenya actual incorrecta";
            }
            else
            {
                clientWCF.canviarContrasenyaSociWeb(sociAct.id_soci, NewPassword.Text);
                //Actualitza les dades de sessió
                sociAct = clientWCF.buscarSoci(sociAct.id_soci);
                Session["Usuari"] = sociAct;

                FailureText.Text = "Contrasenya canviada correctament ";
                accountInfo.Visible = false;
                Button1.Visible = false;
            }

        }

        //***************************************************************************************
        protected void CancelPushButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/EspaiPersonal.aspx"); 
        }
    }
}