﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Website.ServiceReference1;

namespace Website
{
    public partial class SiteMaster : System.Web.UI.MasterPage
    {
        private socisEntity sociAct;

        protected void Page_Load(object sender, EventArgs e)
        {
            sociAct = (socisEntity)Session["Usuari"];

            if (sociAct != null)
            {
                vistaUsuariAutenticat();
            }
            else
            {
                vistaUsuariAnonim();
            }

        }

        //********************************************************************************
        protected void vistaUsuariAutenticat()
        {
            HeadName.Text = "Usuari: " + sociAct.cognoms + ", " + sociAct.nom;
            HeadLogin.Visible = false;
            HeadLogout.Visible = false;
            HeadAccount.Visible = true;
            btnLogout.Visible = true;
        }

        //********************************************************************************
        protected void vistaUsuariAnonim()
        {
            HeadName.Text = "Espai personal: ";
            HeadLogin.Visible = true;
            HeadLogout.Visible = false;
            HeadAccount.Visible = false;
            btnLogout.Visible = false;
        }

        protected void btnLogout_Click(object sender, EventArgs e)
        {
            Session.Clear();
            sociAct = null;
            vistaUsuariAnonim();
            Response.Redirect("~/Account/Login.aspx"); 
        }


    }//fi classe
}//fi namespace
