﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Windows.Forms;
using AccesDB;
using NegociEntitats;

namespace Negoci
{
    public class simulawcfCN
    {
        //*************************************************************************************
        //*************************************************************************************
        //         COPIA DE TOTES ELS METODES de Service1.cs
        //*************************************************************************************
        //*************************************************************************************

        

        //************************************************************************************
        //******* DOCUMENTS ******************************************************************
        public Boolean existeixDocument(int id_document)
        {
            documentCN obj = new documentCN();
            return obj.existeixDocument(id_document);
        }

        public documentsEntity buscarDocument(int id_document)
        {
            documentCN obj = new documentCN();
            return obj.buscarDocument(id_document);
        }

        public void afegirDocument(documentsEntity documentAct)
        {
            documentCN obj = new documentCN();
            obj.afegirDocument(documentAct);
        }

        public void modificarDocument(documentsEntity documentAct)
        {
            documentCN obj = new documentCN();
            obj.modificarDocument(documentAct);
        }

        public void eliminarDocument(int id_document)
        {
            documentCN obj = new documentCN();
            obj.eliminarDocument(id_document);
        }

        public List<documentsEntity> llistarDocuments(int tipoConsulta, string valorBuscat)
        {
            documentCN obj = new documentCN();
            return obj.llistarDocuments(tipoConsulta, valorBuscat);
        }

        public void canviarUnitatsDocument(int id_document, int unitats)
        {
            documentCN obj = new documentCN();
            obj.canviarUnitatsDocument(id_document, unitats); 
        }


        //************************************************************************************
        //******* SOCIS **********************************************************************
        public Boolean existeixSoci(int id_soci)
        {
            socisCN obj = new socisCN();
            return obj.existeixSoci(id_soci);
        }

        public socisEntity buscarSoci(int id_soci)
        {
            socisCN obj = new socisCN();
            return obj.buscarSoci(id_soci);
        }

        public void afegirSoci(socisEntity sociAct)
        {
            socisCN obj = new socisCN();
            obj.afegirSoci(sociAct);
        }

        public void modificarSoci(socisEntity sociAct)
        {
            socisCN obj = new socisCN();
            obj.modificarSoci(sociAct);
        }

        public void modificarSociWeb(int id_soci, string telefon, string email)
        {
            socisCN obj = new socisCN();
            obj.modificarSociWeb(id_soci, telefon, email);
        }

        public void eliminarSoci(int id_soci)
        {
            socisCN obj = new socisCN();
            obj.eliminarSoci(id_soci);
        }

        public List<socisEntity> llistarSocis(int tipoConsulta, string valorBuscat)
        {
            socisCN obj = new socisCN();
            return obj.llistarSocis(tipoConsulta, valorBuscat);
        }

        public int validarLoginSoci(string usuari, string contrasenya)
        {
            socisCN obj = new socisCN();
            return obj.validarLoginSoci(usuari, contrasenya);
        }

        public Boolean existeixEmailSoci(int id_soci, string email)
        {
            socisCN obj = new socisCN();
            return obj.existeixEmailSoci(id_soci, email);
        }

        public Boolean existeixDniSoci(int id_soci, string dni)
        {
            socisCN obj = new socisCN();
            return obj.existeixDniSoci(id_soci, dni);
        }

        public void canviarContrasenyaSociWeb(int id_soci, string contrasenya)
        {
            socisCN obj = new socisCN();
            obj.canviarContrasenyaSociWeb(id_soci, contrasenya);
        }

        //************************************************************************************
        //******* PRESTECS *******************************************************************
        public prestecsEntity buscarPrestec(int id_prestec)
        {
            prestecsCN obj = new prestecsCN();
            return obj.buscarPrestec(id_prestec);
        }

        public prestecsEntity buscarPrestecIdDocument(int id_document)
        {
            prestecsCN obj = new prestecsCN();
            return obj.buscarPrestecIdDocument(id_document);
        }

        public void afegirPrestec(prestecsEntity prestecAct)
        {
            prestecsCN obj = new prestecsCN();
            obj.afegirPrestec(prestecAct);
        }

        public void modificarPrestec(prestecsEntity prestecAct)
        {
            prestecsCN obj = new prestecsCN();
            obj.modificarPrestec(prestecAct);
        }

        public void eliminarPrestec(int id_prestec)
        {
            prestecsCN obj = new prestecsCN();
            obj.eliminarPrestec(id_prestec);
        }

        public string calcularRenovacioPrestec(string dataFiPrestec, int diesPrestec)
        {
            prestecsCN obj = new prestecsCN();
            return obj.calcularRenovacioPrestec(dataFiPrestec, diesPrestec);
        }

        public void renovacioPrestecWeb(prestecsEntity prestecAct)
        {
            prestecsCN obj = new prestecsCN();
            obj.renovacioPrestecWeb(prestecAct);
        }

        public List<prestecsEntity> llistarPrestecsIdSoci(int id_soci)
        {
            prestecsCN obj = new prestecsCN();
            return obj.llistarPrestecsIdSoci(id_soci);
        }

        public List<prestecsEntity> llistarPrestecs(int tipoConsulta, string valorBuscat)
        {
            prestecsCN obj = new prestecsCN();
            return obj.llistarPrestecs(tipoConsulta, valorBuscat);
        }

        public int buscarPrestecsActiusIdSoci(int id_soci)
        {
            prestecsCN obj = new prestecsCN();
            return obj.buscarPrestecsActiusIdSoci(id_soci);
        }

        //************************************************************************************
        //******* FORMATS ********************************************************************
        public Boolean existeixFormat(string id_format)
        {
            formatsCN obj = new formatsCN();
            return obj.existeixFormat(id_format);
        }

        public formatsEntity buscarFormat(string id_format)
        {
            formatsCN obj = new formatsCN();
            return obj.buscarFormat(id_format);
        }

        public void afegirFormat(formatsEntity formatAct)
        {
            formatsCN obj = new formatsCN();
            obj.afegirFormat(formatAct);
        }

        public void modificarFormat(formatsEntity formatAct)
        {
            formatsCN obj = new formatsCN();
            obj.modificarFormat(formatAct);
        }

        public void eliminarFormat(string id_format)
        {
            formatsCN obj = new formatsCN();
            obj.eliminarFormat(id_format);
        }

        public List<formatsEntity> llistarFormats()
        {
            formatsCN obj = new formatsCN();
            return obj.llistarFormats();
        }

        //************************************************************************************
        //******* MATERIES *******************************************************************
        public Boolean existeixMateria(string id_materia)
        {
            materiesCN obj = new materiesCN();
            return obj.existeixMateria(id_materia);
        }

        public materiesEntity buscarMateria(string id_materia)
        {
            materiesCN obj = new materiesCN();
            return obj.buscarMateria(id_materia);
        }

        public void afegirMateria(materiesEntity materiaAct)
        {
            materiesCN obj = new materiesCN();
            obj.afegirMateria(materiaAct);
        }

        public void modificarMateria(materiesEntity materiaAct)
        {
            materiesCN obj = new materiesCN();
            obj.modificarMateria(materiaAct);
        }

        public void eliminarMateria(string id_materia)
        {
            materiesCN obj = new materiesCN();
            obj.eliminarMateria(id_materia);
        }

        public List<materiesEntity> llistarMateries()
        {
            materiesCN obj = new materiesCN();
            return obj.llistarMateries();
        }
        //************************************************************************************
        //******* TEMES **********************************************************************
        public Boolean existeixTema(string id_tema)
        {
            temesCN obj = new temesCN();
            return obj.existeixTema(id_tema);
        }

        public temesEntity buscarTema(string id_tema)
        {
            temesCN obj = new temesCN();
            return obj.buscarTema(id_tema);
        }

        public void afegirTema(temesEntity temaAct)
        {
            temesCN obj = new temesCN();
            obj.afegirTema(temaAct);
        }

        public void modificarTema(temesEntity temaAct)
        {
            temesCN obj = new temesCN();
            obj.modificarTema(temaAct);
        }

        public void eliminarTema(string id_tema)
        {
            temesCN obj = new temesCN();
            obj.eliminarTema(id_tema);
        }

        public List<temesEntity> llistarTemes()
        {
            temesCN obj = new temesCN();
            return obj.llistarTemes();
        }

        //************************************************************************************
        //******* IDIOMES ********************************************************************
        public Boolean existeixIdioma(string id_idioma)
        {
            idiomesCN obj = new idiomesCN();
            return obj.existeixIdioma(id_idioma);
        }

        public idiomesEntity buscarIdioma(string id_idioma)
        {
            idiomesCN obj = new idiomesCN();
            return obj.buscarIdioma(id_idioma);
        }

        public void afegirIdioma(idiomesEntity idiomaAct)
        {
            idiomesCN obj = new idiomesCN();
            obj.afegirIdioma(idiomaAct);
        }

        public void modificarIdioma(idiomesEntity idiomaAct)
        {
            idiomesCN obj = new idiomesCN();
            obj.modificarIdioma(idiomaAct);
        }

        public void eliminarIdioma(string id_idioma)
        {
            idiomesCN obj = new idiomesCN();
            obj.eliminarIdioma(id_idioma);
        }

        public List<idiomesEntity> llistarIdiomes()
        {
            idiomesCN obj = new idiomesCN();
            return obj.llistarIdiomes();
        }


        //************************************************************************************
        //******* TIPUS SOCIS ****************************************************************
        public Boolean existeixTipusSoci(int id_tipusSoci)
        {
            tipusSocisCN obj = new tipusSocisCN();
            return obj.existeixTipusSoci(id_tipusSoci);
        }

        public tipusSocisEntity buscarTipusSoci(int id_tipusSoci)
        {
            tipusSocisCN obj = new tipusSocisCN();
            return obj.buscarTipusSoci(id_tipusSoci);
        }

        public void afegirTipusSoci(tipusSocisEntity tipusSociAct)
        {
            tipusSocisCN obj = new tipusSocisCN();
            obj.afegirTipusSoci(tipusSociAct);
        }

        public void modificarTipusSoci(tipusSocisEntity tipusSociAct)
        {
            tipusSocisCN obj = new tipusSocisCN();
            obj.modificarTipusSoci(tipusSociAct);
        }

        public void eliminarTipusSoci(int id_tipusSoci)
        {
            tipusSocisCN obj = new tipusSocisCN();
            obj.eliminarTipusSoci(id_tipusSoci);
        }

        public List<tipusSocisEntity> llistarTipusSocis()
        {
            tipusSocisCN obj = new tipusSocisCN();
            return obj.llistarTipusSocis();
        }

        //************************************************************************************
        //******* CONFIGURACIO *******************************************************************
        public configuracioEntity buscarConfiguracio()
        {
            configuracioCN obj = new configuracioCN();
            return obj.buscarConfiguracio();
        }

        public void modificarConfiguracio(configuracioEntity configuracioAct)
        {
            configuracioCN obj = new configuracioCN();
            obj.modificarConfiguracio(configuracioAct);
        }

        public string validarLoginConfiguracio(string usuari, string contrasenya)
        {
            configuracioCN obj = new configuracioCN();
            return obj.validarLoginConfiguracio(usuari, contrasenya);
        }


    }//fi classe
}//fi namespace
