﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
//using Negoci;
using Terminal.ServiceReference1;
using NegociEntitats;

namespace Terminal
{
    public partial class frm9Proves : Form
    {
        private ServiceReference1.Service1Client clientWCF = new ServiceReference1.Service1Client(); // Instancia del servei WCF
        private List<tipusSocisEntity> ListTipusSocis;


        public frm9Proves()
        {
            InitializeComponent();
        }

        private void frm9Proves_Load(object sender, EventArgs e)
        {
            //Carregar combos...
            carregarCmbTipusSocis();
            carregarCmbSexe();
        }


        //*********************************************************************************************************+
        //Carregar combo tipusSocis
        private void carregarCmbTipusSocis()
        {
            ListTipusSocis = clientWCF.llistarTipusSocis().ToList();

            //Passem la Llista a una Table temporal
            cmbId_tipusSoci.Items.Clear();
            DataTable dtTmp = new DataTable();
            dtTmp.Columns.Add("Id", typeof(string));
            dtTmp.Columns.Add("Descripcio", typeof(string));
            for (int i = 0; i < ListTipusSocis.Count(); i++)
            {
                dtTmp.Rows.Add(ListTipusSocis.ElementAt(i).id_tipusSoci, ListTipusSocis.ElementAt(i).tipusSoci);
            }

            cmbId_tipusSoci.DataSource = dtTmp;
            cmbId_tipusSoci.DisplayMember = "Id";
            cmbId_tipusSoci.ValueMember = "Descripcio";
            cmbId_tipusSoci.SelectedIndex = -1;
            cmbId_tipusSoci.Text = "";
        }

        //*********************************************************************************************************+
        //Carregar combo sexe
        private void carregarCmbSexe()
        {
            ComboItem[] itemArray1 = new ComboItem[]
            {
                new ComboItem("H", "Home"),
                new ComboItem("D", "Dona"),
            };

            cmbSexe.DataSource = itemArray1;
            cmbSexe.DisplayMember = "Column0";
            cmbSexe.ValueMember = "Column0";
        }

        
        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Soci=" + cmbId_tipusSoci.Text);
            MessageBox.Show("sexe=" + cmbSexe.Text);

        }



        public class ComboItem
        {
            private string _Column0;
            private string _Column1;

            public ComboItem(string column0, string column1)
            {
                _Column0 = column0;
                _Column1 = column1;
            }

            public string Column0
            {
                get { return _Column0; }
            }

            public string Column1
            {
                get { return _Column1; }
            }
        }


    }
}
